#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  glslang-16.3.0

- Next

  GOffice-0.10.60

- Up
- Home

# GLU-9.0.3

## Introduction to GLU

This package provides the Mesa OpenGL Utility library.

### Note

If you have installed libglvnd, please install the GLFS version of GLU instead so that the library functions as expected.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://archive.mesa3d.org/glu/glu-9.0.3.tar.xz

- Download MD5 sum: 06a4fff9179a98ea32ef41b6d83f6b19

- Download size: 216 KB

- Estimated disk space required: 5.9 MB

- Estimated build time: 0.2 SBU

### GLU Dependencies

#### Required

Mesa-26.0.1

## Installation of GLU

Install GLU by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..              \
          --prefix=$XORG_PREFIX \
          --buildtype=release   \
          -D gl_provider=gl     \
          -D default_library=shared &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D default_library=shared`: This switch prevents building and installing the static library.

## Contents

Installed Programs: None
Installed Library: libGLU.so
Installed Directories: None

### Short Descriptions

`libGLU.so` | is the Mesa OpenGL Utility library

- Prev

  glslang-16.3.0

- Next

  GOffice-0.10.60

- Up
- Home